import re

# 合并后的正则表达式
begin_pattern = re.compile(
                        r'(?<!见)'  # 确保前面不是“见”
                        r'第[一二三四五六七八九十1-9]+(?:章|部分)\s*'  # 匹配“第X章”或“第X部分”
                        r'[\u4e00-\u9fff、()（）]*?'  # 匹配允许的字符（中文、顿号、括号）
                        r'(?=.*(?:磋商|谈判|评标|评定|评审))'  # 确保包含“磋商”、“谈判”、“评标”、“评定”或“评审”
                        r'(?=.*(?:办法|方法))'  # 确保包含“办法”或“方法”
                        r'[\u4e00-\u9fff、()（）]*\s*$'  # 继续匹配允许的字符直到行尾
                        r'|\s*评标(办法|方法)前附表\s*$',  # 或匹配“评标办法前附表”或“评标方法前附表”
                        re.MULTILINE
                    )


# 测试字符串
test_strings = [
    """
    .4评标委员会成员因缺席、回避、擅评标办法前附表康等原因不能继续履评标办法前附表
责的，采购人或者采购代理机构有权向相关监督管理部门通报。
17. 投标人资格审查和投标文件符合性审查
17.1投标人资格审查指依据法律、法规和招标文件的规定，对投标文件中的资格、资信证
明等进行审查，以确定投标人是否具备投标资格；投标文件符合性审查指依据招标文件的
规定，从投标文件的有效性、完整性和对招标文件的响应程度进行审查，以确定是否对招
标文件的实质性要求作出响应。
17.2投标人未通过资格审查的不得进入投标文件符合性审查 ； 投标人未通过符合性审查的，
不得进入投标文件的综合比较与评价。
17.3品牌及型号必须为清单中有效期内产品并提供证明文件， 否则其投标将作为无效投标
被拒绝。
17.3.1如本项目使用最低评标价法， 提供相同品牌产品的不同投标人以其中通过资格审查、
符合性审查且报价最低的参加评标；报价相同的，由采购人或者采购人委托评标委员会按
照招标文件中评标办法规定的方式确定 一个参加评标的投标人；其他投标无效。
17.3.2如本项目使用综合评分法，提供相同品牌产品且通过资格审查、符合性审查的不同
投标人，按一家投标人计算，评审后得分最高的同品牌投标人获得中标人推荐资格；评审
得分相同的，由采购人或者采购人委托评标 委员会按照招标文件中评标办法规定的方式确
定一个投标人获得中标人推荐资格；
17.4如一个分包内包含多种产品的， 采购人或采购代理机构将在投标人须知前附表中载明
核心产品，多家投标人提供的所有核心产品品牌均相同的， 按第 18.3.2 条及相关法律法
规处理。
17.5投标人所投产品如被列入财政部与国家主管部门颁发的节能产品目录或环境标志产
品目录，应提供相关证明，在评标时予以优先采购，具体优先采购办见第五章评标方法
和标准。如采购人所采购产品为政府强制采购的节能产品，投标人所投产品的品牌及型号
必须为清单中有效期内产品并提供证明文件，否则其投标将作为无效投标被拒绝。
17.6投标人不良信用记录以采购人或采购代理机构查询结果为准。
17.7资格审查和符合性审查标准详见第五章评标方法和标准。
18. 投标文件的澄清和修正
18.1对于投标文件中含义不明确、 同类问题表述不一致或者有明显文字和计算错误的内容，
评标委员会应当以书面形式要求投标人作出必要的澄 清、说明或者补正。
18.2投标人的澄清、说明或者补正应当采用书面形式，并加盖公章，或者由法定代表人或
其授权的代表签字。投标人的澄清、说明或者补正不得超出投标文件的范围或者改变投标
文件的实质性内容。澄清文件将作为投标文件内容的一部分。
    """
]

for test_string in test_strings:
    match = re.search(begin_pattern, test_string)
    if match:
        print("Matched Content:", match.group())  # 输出匹配的内容
    else:
        print("No match found.")
